POST
/v1/mgmt/outbound/app/tenant/tokenAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
appId*string
Length
1 <= length <= 254tenantId*string
Length
1 <= lengthscopes?array<string>
string
options?object
externalIdentifier?string
Length
length <= 254Fetch outbound application tenant token
This endpoint allows you to fetch the tenant token for an outbound application.
curl -X POST "https://api.descope.com/v1/mgmt/outbound/app/tenant/token" \ -H "Content-Type: application/json" \ -d '{ "appId": "string", "tenantId": "string" }'{ "token": { "id": "string", "appId": "string", "userId": "string", "tokenSub": "string", "accessToken": "string", "accessTokenType": "string", "accessTokenExpiry": "string", "hasRefreshToken": true, "refreshToken": "string", "lastRefreshTime": "string", "lastRefreshError": "string", "scopes": [ "string" ], "tenantId": "string", "grantedBy": "string", "externalIdentifier": "string", "refreshTokenExpiry": "string" }}export interface Response {token?: {id: stringappId: stringuserId: stringtokenSub: stringaccessToken: stringaccessTokenType: stringaccessTokenExpiry?: stringhasRefreshToken?: booleanrefreshToken: stringlastRefreshTime?: stringlastRefreshError?: stringscopes?: string[]tenantId: stringgrantedBy: stringexternalIdentifier?: stringrefreshTokenExpiry?: string}} Was this helpful?
Fetch Latest Outbound App User Token POST
### Fetch latest outbound application user token This endpoint allows you to fetch the latest user token for an outbound application.
Fetch Latest Outbound App Tenant Token POST
### Fetch latest outbound application tenant token This endpoint allows you to fetch the latest tenant token for an outbound application.